%{?nodejs_find_provides_and_requires}

%global packagename safecb
%global enable_tests 1

Name:		nodejs-safecb
Version:	0.0.1
Release:	1%{?dist}
Summary:	Normalize callback arguments

License:	MIT
URL:		https://github.com/mvayngrib/safecb
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(dezalgo)
BuildRequires:	npm(once)
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Normalize callback arguments


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 0.0.1-1
- Initial packaging
